Open rails won't work for me?

View previous topic View next topic Go down

Open rails won't work for me?

Post  rufuskins on Tue 30 Dec 2014, 8:15 pm

I have downloaded what I took to be the latest OR and after installation it came up with this message when I attempted to open it?

Is it my computer or is it something else . . . ?

Mind you it's hardly surprising as I don't have a "James" in my list of Users! Shocked Shocked Shocked


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  35005CP on Tue 30 Dec 2014, 8:32 pm

Alec,
I am on Version X2744.
Have you posted over on the OR Forum? http://www.openrails.org/contribute/reporting-bugs/
Andy


Andy - TSSH Footplate Crew
avatar
35005CP

Posts : 1617
Join date : 2013-01-23
Age : 38
Location : East Sussex

http://nineelms.freeforum.me.uk/

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Tue 30 Dec 2014, 10:22 pm

Hi Alec,
The "James" referred to in the path is, I believe, James Ross, one of the key members of the Open Rails Team. The path does not refer to one on your PC!

This may not be the solution, but have you installed the XNA 3.1 and Net Framework required by OR?  If not, select the "Download the Installer" option from this page : http://openrails.org/download/program/  I think, as well as downloading all the required software, this will also install an older version of OR.  This doesn't matter as you can download (or have already downloaded) the latest version separately.  Once the required software has been installed, the Open Rails executable can be run from any OR folder.

Cheers,
Ged

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Tue 30 Dec 2014, 10:48 pm

That's exactly what I downloaded and installed, and clicking on the "exe" gave the message illustrated earlier! Shocked Shocked Shocked


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Tue 30 Dec 2014, 10:54 pm

OK I downloaded the referenced file again, and clicked on the installer and this time it didn't install but gave this message:-

Very confusing . . .

PS I've now installed the latest XNA and NET elements and still I get the font error message on an old install of Open Rails, and the setup error message on the latest download!!!!!!!!!!!!!!!!!!!


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  35005CP on Wed 31 Dec 2014, 10:03 am

I think it might be worth you posting this problem as instructed earlier......
Another option might be to delete OR completely and run Ccleaner to remove all references to OR and then try the Installer again.


Andy - TSSH Footplate Crew
avatar
35005CP

Posts : 1617
Join date : 2013-01-23
Age : 38
Location : East Sussex

http://nineelms.freeforum.me.uk/

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Wed 31 Dec 2014, 1:17 pm

Hi Alec,
This is just for information.
I have, this morning, installed the "pre - 1.0" pack from the Open Rails site on to a laptop which has never had OR installed before.  This went completely without any problems and the version of OR included (X2602) ran successfully.  I have since installed the latest weekly release (X2739) to the same PC and run it, again, without any trouble.

This laptop runs Windows 7 Home Premium 64-bit - are you running Windows 7?   If you are running XP, I wonder if that could be the problem?  A note on the OR website specifies that XP must have the SP2 update (I believe if yours has SP3, then SP2 is included).

Out of habit, more than for any technical reason, I've placed Open Rails outside of the Program Files / Program Files (x86) folders!

Cheers,
Ged

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  neanderthal on Wed 31 Dec 2014, 5:28 pm

Hello Ged,I'm running X2602 as a trial,but haven't got a clue of how to bring it up to X2739.Any chance of some clear (easy to understand) instructions. Regards,
Happy New Year


Roger
avatar
neanderthal

Posts : 787
Join date : 2013-04-30
Location : Gwent

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Wed 31 Dec 2014, 7:10 pm

Cleared the computer of everything "Open Rails" and downloaded the file labelled setup_OR_pre-v1.0_from_download.exe again. Double clicked to install and lo and behold got the "Set up files corrupted . . etc." message as noted earlier. I have insufficient oomph to pursue it further this evening, and in fact I can't be bothered - life's too short as it is!


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Wed 31 Dec 2014, 7:36 pm

Hi Roger,
Any chance of some clear (easy to understand) instructions
Yes, mate Smile
When you start your X2602 version of Open Rails, look on the top right-hand corner of the display.  You should see "Update to X2749" (or something like that).  Click on it and it will update. When it's completed, it will read "Restart to apply update" - click on it, or just close and restart OR, and you'll see the X2602 that was in the top left of the menu has changed to X2749 (or whatever is the current latest release version.
It takes longer to write than it does to do!!

Happy New Year to you and everybody on TSSH.

Ged

EDIT : If, by any chance, you don't see the Upgrade message in the top right corner, click on the "Options" button, next to the "Start" button, and click on the "Updater" tab.  There may be a black dot against the first entry (Release channel) or the last entry (None) - if so, click against the Experimental channel to set the black dot there, then click OK.  You can select the Nightly channel if you wish - there are sometimes several new versions in one day! - but I recommend you stick to the Experimental channel, for which there is a new release usually every Friday evening.

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  neanderthal on Wed 31 Dec 2014, 9:06 pm

Sorry Ged I've misinformed you,I confused myself,I appear to be running X2194 NOT X2601,a big difference.



I have been into the Options,but there is no "Updater" button that I can see.

Sorry to be messing you about  Regards


Roger
avatar
neanderthal

Posts : 787
Join date : 2013-04-30
Location : Gwent

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Wed 31 Dec 2014, 9:17 pm

Hi Roger,
No Problem Smile
As you've got OR running OK, it means that you must already have the XNA and Net Framework installed.  Therefore, all you need to do is to download the Supporters version from : http://openrails.org/download/program/ , unzip it to wherever you like (I suggest you don't overwrite your X2194 version).  Create a new short-cut to it (right-click on OpenRails.exe, select Properties then Send to, then Desktop) and you'll be in business with the latest version. Then you can check the Updater tab and set it how you want; every time a new version is released, it'll be shown in the top right-hand corner; of course, you don't have to update if you don't want to (it's not like that other sim!!).

Cheers,
Ged

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  neanderthal on Wed 31 Dec 2014, 11:36 pm

Thank you Ged,I'm up and running,though some things are strange.On Greater Eastern the Emergency Brakes keep applying,even though I'm not speeding,but the other side of the coin is that Glasgow to Carlisle seems much better,Oh the stress of it all,I'll just have to go and have another pint.Hope your celebrating the New Year in,Thanks for your help (again). Regards


Roger
avatar
neanderthal

Posts : 787
Join date : 2013-04-30
Location : Gwent

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Thu 01 Jan 2015, 12:43 am

Well I've picked up my dummy and cleaned it as best I can. I've started from scratch by downloading and installing XNA 3.1 and that seems to be OK. Now I have .NET v4 and according to the OR manual you need to have .NET v3.5 SP1? I therefore downloaded that and tried to install it but after several attempts got the message "Setup Error" each time!
Oh my aching head and the dummy is close to exiting the pram again!


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  35005CP on Thu 01 Jan 2015, 9:43 am

Alec,
Try these Instructions as per this link... http://answers.microsoft.com/en-us/windows/forum/windows_7-performance/net-35-sp1-downloads-and-results-in-setup-error/2458d399-497c-4e5d-bafe-f9bfd5e6bb0c

Here is a link to the .Net Framework Cleanup Tool; http://www.microsoft.com/en-gb/download/details.aspx?id=30135



Andy - TSSH Footplate Crew
avatar
35005CP

Posts : 1617
Join date : 2013-01-23
Age : 38
Location : East Sussex

http://nineelms.freeforum.me.uk/

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Thu 01 Jan 2015, 2:36 pm

Thanks for the suggestions but they haven't helped unfortunately. My computer does not want anything to do with v3.5, nor OR so . . . .


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Thu 01 Jan 2015, 4:20 pm

Hi Alec,
I would suggest that there's some software, or setting, on your PC which is objecting to Net Framework 3.5 SP1, which, in turn, is preventing Open Rails from running.
You may well have posted them before, but what are the full specs of your PC - are you running XP?  if so, have you got SP3?

There do seem to be a few problems when installing to XP - have you tried the full download - http://download.microsoft.com/download/2/0/e/20e90413-712f-438c-988e-fdaa79a8ac3d/dotnetfx35.exe

Cheers,
Ged

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Thu 01 Jan 2015, 8:50 pm

My specs are as follows:-

I already have Microsoft.NET Framework 4.5.1 installed but the OR manual clearly states that you need Microsoft.NET Framework 3.5 (SP1) Redistributable.
I've followed the link in the manual but still it won't work . . .


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Thu 01 Jan 2015, 10:41 pm

Hi Alec,
My apologies - I was under the mistaken impression that you were running XP Embarassed

Going back to your earlier post in which you said : "downloaded the file labelled setup_OR_pre-v1.0_from_download.exe again. Double clicked to install and lo and behold got the "Set up files corrupted . . etc." message".  Can you identify the point at which that message appears - is it during the XNA Framework, Net Framework or Open Rails part of the installation?

The Programs & Features entry in the Control Panel shows if XNA Framework 3.1 and Open Rails pre_v1.0 are installed, but, unfortunately, doesn't show if Net Framework 3,5 SP1 is present (mine only shows v4.5.1).

If you can't identify the point of the failure, can you install XNA Framework 3.1 by itself without problem?  If so, will Net Framework 3.5 SP1 then install successfully?  If these two are OK, download the latest Open Rails Supporters version and see if it'll run.  If it's still not successful, have you tried installing each element after turning your anti-virus off?

Cheers,
Ged

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  dforrest on Fri 02 Jan 2015, 12:49 am

This may be useful.

http://www.elvastower.com/forums/index.php?/topic/25777-help-please/


David
avatar
dforrest

Posts : 397
Join date : 2013-01-21
Age : 71
Location : St. Vincent and the Grenadines (and in an earlier life, Hull)

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Fri 02 Jan 2015, 11:44 am

OK, here's where I'm at!
1. XNA Redistributable 3.1 is shown in Control Panel as well as XNA Redistributable 4.0.
2. NET Framework 4.5.1 is shown in Control panel but not NET Framework 3.5 SP1.
3. NET Framework 3.5 SP1 is shown in the list from the "Turn Windows On/Off" table and has been checked; i.e. tick in check box!
I have deleted all of the OR downloads and cleared anything OR related I shall download another copy of OR and see what happens.

Update at 11:50 - I have now download Supporters' Download which has given me a zip file named "OR_X" sized at 18,214KB. However 7zip will not open it as archive? Will try the other download!

Update at 11:58 - I have now downloaded "setup_OR_pre-v1.0_from_download" also sized at 18,214KB. My anti-virus says it's OK! I will now run it and report back. I've run it and lo and behold the following message almost immediately popped up:-

Sad Sad Sad Sad Sad Sad Sad Sad Sad Sad Sad Sad Sad Sad Sad Sad


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Fri 02 Jan 2015, 6:04 pm

Hi Alec,
The fact that 7Zip won't open your Open Rails zip file is very odd!!
I use 7Zip exclusively for unpacking zip and rar files, always without any problem. The only archives it won't unpack are spanned zips, which, thankfully, are not very common these days!

Which version if 7Zip are you using? - note there are separate versions for 32- and 64-bit Operating Systems; I'm using v9.20

Cheers,
Ged

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Fri 02 Jan 2015, 7:05 pm

My 7zip is version 9.20 and has worked with all of my FG DMUs, etc.


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Fri 02 Jan 2015, 7:16 pm

Hi Alec,
Yes, you've used 7Zip to create archives with type .7z, but have you used it to unpack .zip files (like those from UKTS)?

Sorry for the seemingly simple question, but I'm sure there must be an equally simple answer - if only we could find it!!

Cheers,
Ged

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Fri 02 Jan 2015, 7:59 pm

I've unzipped nearly all downloads from UKTS, Trainsim, etc. using 7zip.


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Fri 02 Jan 2015, 8:04 pm

Mmmm... Curiouser and curiouser, said Alice Question

Ged

EDIT :  Going by one of your previous posts when you said that both the latest OR release AND the pre-v1.0 issue were the same size = 18,214KB
This is completely wrong and points to a problem with whatever download system you're using.  The pre-v1.0 version should be 23,850,158 bytes (22.7MB) and last week's release was 33,353,614 bytes (31.8MB); today's release is 38,814,533 bytes (37.0MB).
I can't offer any explanation as to why 18,214KB seems to be a limit - have you successfully downloaded larger files to the same location?

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Sat 03 Jan 2015, 7:48 am

slipperman12 wrote: - have you successfully downloaded larger files to the same location?

Yes! For example the recent Glasgow-Carlisle and Woodhead files!

Update at 08:09 - I have just downloaded the files again and here are the results from Milnrow:-

OR_X.zip = 18,214 KB using the first download option
OR_X.zip = 37,905 KB using the alternative option

setup_OR_pre-v1.0_from_download.exe = 18,214 KB using the first download option
setup_OR_pre-v1.0_from_download.exe = 23,292 KB using the alternative option

Next task is to see whether anything installs!

Update at 08:16 - I have run the exe file and OR installed but when I click on the shortcut, etc. I get the following message



Update at 11:26 - I have unzipped OR_X but when I click on exe within OR I get the following message



Similar to the first message but very slightly different!!!!!!!!!


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Sat 03 Jan 2015, 7:25 pm

Hi Alec,
Has your PC ever had Driver Detective installed?  Putting the first line of that error, from the OR log, turned up several hits, but with 'Regular' as the style.

Have a look in your Control Panel - open the Fonts applet then scroll down to the Arial entry - does it show 'Bold' in the list?  If, when you open Fonts, they are shown as icons, double-click the Arial one.

If not, try this Microsoft fix : http://www.microsoft.com/en-us/download/details.aspx?id=16083  -  I can't guarantee that it'll work for Windows 7 but it's probably worth a try - take a Restore Point first!  
The other option given was to copy the complete Arial font from another Windows 7 PC - it's in the C:\Windows\Fonts folder.

Even if you've never installed Driver Detective, I would still have a look in Fonts, as some other software might have been the culprit!!

Cheers,
Ged

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Sat 03 Jan 2015, 8:24 pm

Mmmm . . . in my Arial Fonts there's no Arial Bold! Will see what I can find!


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Sat 03 Jan 2015, 8:44 pm

Three cheers for Ged who has provided the solution to my problems. Restore point created and font change based on the download referenced in Ged's post installed, and I now have Arial Bold!
Open Rails opens and I can see my Bulleid 59ft coaches!


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Sat 03 Jan 2015, 8:51 pm

Hi Alec,
That's good news!!
I'm sorry I missed a bit from my last post - I put the first line of the message into Google!!  It's amazing what answers it can provide!

I was just about to post this :
"I've checked the Microsoft link and although it downloads as an exe file it is a self-extracting archive.  Unpacking it using 7Zip will produce a set of .ttf files.  I don't know if you're short of any more fonts, but you can right-click in the ArialBD.ttf file and select Install."
... but it's obviously not required now!

Glad to be of help Smile

The problem now is why did Arial Bold go AWOL??

Cheers,
Ged

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Sun 04 Jan 2015, 10:27 am

Ged
Having got OR to work after your help I am reluctant to delve into the reason why it went "walk about". Before you posted your excellent solution I had posted the problem with OR, who pointed out that the Arial Bold font needed to be found - it was very pleasing to get a prompt response - and wondered why it was missing from W7!
Anyway I now have OR and I can view my Bulleid 59ft coaches in action - it would appear that OR can cope with a higher poly/part count.
Once again many thanks for your help.


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  neanderthal on Sun 04 Jan 2015, 1:56 pm

Aha,I'm glad to see you got that sorted  Alec.So the next question is "what do YOU think of OR".

I've been giving it a try on Glasgow 2 Carlisle and the Woodhead extension. Smile


Roger
avatar
neanderthal

Posts : 787
Join date : 2013-04-30
Location : Gwent

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Sun 04 Jan 2015, 4:58 pm

I accept that in the long term OR will supersede MSTS, but at this moment in time I'll maintain MSTS as my main simulator.


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  neanderthal on Sun 04 Jan 2015, 7:04 pm

Snap!


Roger
avatar
neanderthal

Posts : 787
Join date : 2013-04-30
Location : Gwent

Back to top Go down

Re: Open rails won't work for me?

Post  slipperman12 on Sun 04 Jan 2015, 7:37 pm

Double-Snap!! Smile

slipperman12

Posts : 1222
Join date : 2013-01-29
Age : 75
Location : North Nottinghamshire

Back to top Go down

Re: Open rails won't work for me?

Post  cjakeman on Sun 04 Jan 2015, 10:04 pm

Seems we still have some work to do then :-)

Chris Jakeman
OR Dev Team

cjakeman

Posts : 6
Join date : 2015-01-04

Back to top Go down

Re: Open rails won't work for me?

Post  Markh5682 on Mon 05 Jan 2015, 1:09 am

Hi Chris.

Welcome to the forum. Very Happy

cjakeman wrote:Seems we still have some work to do then :-)

That's the nature of the beast, in software projects there will always be more work to do, but congratulations on what you have achieved so far. OK I look forward to further developments. Very Happy


Mark
avatar
Markh5682

Posts : 2542
Join date : 2013-01-21
Age : 62
Location : Lancashire

http://www.youtube.com/user/markh5682

Back to top Go down

Re: Open rails won't work for me?

Post  rufuskins on Wed 07 Jan 2015, 8:02 pm

I am now closing this thread as Open Rails now works for me. Please feel free to comment and raise queries on Open Rails as we now have a link from Open Rails to TSSH.


ALEC - Supporter of MSTS and TSSH!

rufuskins

Posts : 3322
Join date : 2013-01-17
Age : 68
Location : Milnrow, Lancashire

Back to top Go down

Re: Open rails won't work for me?

Post  Sponsored content


Sponsored content


Back to top Go down

View previous topic View next topic Back to top

- Similar topics

 
Permissions in this forum:
You cannot reply to topics in this forum